aagc.vo

## Class ConsensoCittadino

- java.lang.Object
- - aagc.vo.ConsensoCittadino

-     public class ConsensoCittadino
      extends java.lang.Object

  Dati relativi al consenso espresso dal cittadino.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codFiscaleOperatoreFine` Codice fiscale dell'operatore che ha registrato la chiusura del consenso.
    `(package private) java.lang.String` | `codFiscaleOperatoreInizio` Codice fiscale dell'operatore che ha registrato l'apertura del consenso.
    `(package private) java.lang.String` | `dataFine` Data di fine validità nel formato DD/MM/YYYY HH24:MM:SS.
    `(package private) java.lang.String` | `dataInizio` Data di inizio validità nel formato DD/MM/YYYY HH24:MM:SS.
    `(package private) java.lang.String` | `dataRegistrazioneFine` Data di registrazione della chiusura del consenso nel formato DD/MM/YYYY HH24:MM:SS.
    `(package private) java.lang.String` | `estremiDocumento` Estremi del documento di riconoscimento.
    `(package private) java.lang.String` | `flagDelega` 1 consenso espresso per delega; 0 altrimenti.
    `(package private) java.lang.String` | `tipoConsenso` Tipo di consenso. 1 Consenso, 0 Rifiuto.
    `(package private) TutoreStoricoConsenso` | `tutore` Tutore dell'assistito minorenne o incapace.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsensoCittadino()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscaleOperatoreFine()`
    `java.lang.String` | `getCodFiscaleOperatoreInizio()`
    `java.lang.String` | `getDataFine()`
    `java.lang.String` | `getDataInizio()`
    `java.lang.String` | `getDataRegistrazioneFine()`
    `java.lang.String` | `getEstremiDocumento()`
    `java.lang.String` | `getFlagDelega()`
    `java.lang.String` | `getTipoConsenso()`
    `TutoreStoricoConsenso` | `getTutore()`
    `void` | `setCodFiscaleOperatoreFine(java.lang.String codFiscaleOperatoreFine)`
    `void` | `setCodFiscaleOperatoreInizio(java.lang.String codFiscaleOperatoreInizio)`
    `void` | `setDataFine(java.lang.String dataFine)`
    `void` | `setDataInizio(java.lang.String dataInizio)`
    `void` | `setDataRegistrazioneFine(java.lang.String dataRegistrazioneFine)`
    `void` | `setEstremiDocumento(java.lang.String estremiDocumento)`
    `void` | `setFlagDelega(java.lang.String flagDelega)`
    `void` | `setTipoConsenso(java.lang.String tipoConsenso)`
    `void` | `setTutore(TutoreStoricoConsenso tutore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFiscaleOperatoreFine

          java.lang.String codFiscaleOperatoreFine

      Codice fiscale dell'operatore che ha registrato la chiusura del consenso.

    - #### codFiscaleOperatoreInizio

          java.lang.String codFiscaleOperatoreInizio

      Codice fiscale dell'operatore che ha registrato l'apertura del consenso.

    - #### dataFine

          java.lang.String dataFine

      Data di fine validità nel formato DD/MM/YYYY HH24:MM:SS.

    - #### dataInizio

          java.lang.String dataInizio

      Data di inizio validità nel formato DD/MM/YYYY HH24:MM:SS.

    - #### dataRegistrazioneFine

          java.lang.String dataRegistrazioneFine

      Data di registrazione della chiusura del consenso nel formato DD/MM/YYYY HH24:MM:SS.

    - #### estremiDocumento

          java.lang.String estremiDocumento

      Estremi del documento di riconoscimento.

    - #### flagDelega

          java.lang.String flagDelega

      1 consenso espresso per delega; 0 altrimenti.

    - #### tipoConsenso

          java.lang.String tipoConsenso

      Tipo di consenso. 1 Consenso, 0 Rifiuto.

    - #### tutore

          TutoreStoricoConsenso tutore

      Tutore dell'assistito minorenne o incapace.

  - ### Constructor Detail

    - #### ConsensoCittadino

          public ConsensoCittadino()

  - ### Method Detail

    - #### getCodFiscaleOperatoreFine

          public java.lang.String getCodFiscaleOperatoreFine()

    - #### setCodFiscaleOperatoreFine

          public void setCodFiscaleOperatoreFine(java.lang.String codFiscaleOperatoreFine)

    - #### getCodFiscaleOperatoreInizio

          public java.lang.String getCodFiscaleOperatoreInizio()

    - #### setCodFiscaleOperatoreInizio

          public void setCodFiscaleOperatoreInizio(java.lang.String codFiscaleOperatoreInizio)

    - #### getDataFine

          public java.lang.String getDataFine()

    - #### setDataFine

          public void setDataFine(java.lang.String dataFine)

    - #### getDataInizio

          public java.lang.String getDataInizio()

    - #### setDataInizio

          public void setDataInizio(java.lang.String dataInizio)

    - #### getDataRegistrazioneFine

          public java.lang.String getDataRegistrazioneFine()

    - #### setDataRegistrazioneFine

          public void setDataRegistrazioneFine(java.lang.String dataRegistrazioneFine)

    - #### getEstremiDocumento

          public java.lang.String getEstremiDocumento()

    - #### setEstremiDocumento

          public void setEstremiDocumento(java.lang.String estremiDocumento)

    - #### getFlagDelega

          public java.lang.String getFlagDelega()

    - #### setFlagDelega

          public void setFlagDelega(java.lang.String flagDelega)

    - #### getTipoConsenso

          public java.lang.String getTipoConsenso()

    - #### setTipoConsenso

          public void setTipoConsenso(java.lang.String tipoConsenso)

    - #### getTutore

          public TutoreStoricoConsenso getTutore()

    - #### setTutore

          public void setTutore(TutoreStoricoConsenso tutore)